Page MenuHomePhabricator

Allow to continue published translations (when they have no additional modifications)
Open, NormalPublic

Description

Once a translation is published with Content Translation it cannot be currently edited. This makes sense because the target article may have changed, and users may be overwriting other people changes without noticing. However, we can think on more advanced strategies to overcome that limitation (some users seem to use a workaround to keep the translation as in-progress).

We can allow to resume a published translation if the published article has not been modified since the translation was published.

Event Timeline

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 3:46 PM
santhosh added a subscriber: santhosh.

We can allow to resume a published translation if the published article has not been modified since the translation was published.

This make sense. But technically this require we keep track of what happened to published article.

Nemo_bis added a subscriber: Nemo_bis.
Ricordisamoa added a subscriber: Ricordisamoa.
AVRS awarded a token.Sep 9 2015, 11:47 AM
AVRS added a subscriber: AVRS.
Amire80 renamed this task from Allow to continue published translations to [Epic] Allow to continue published translations.Oct 15 2015, 10:14 AM
Amire80 set Security to None.
Pginer-WMF renamed this task from [Epic] Allow to continue published translations to Allow to continue published translations (when they have no additional modifications).Oct 16 2015, 8:28 AM
Pginer-WMF removed a project: Epic.

Amire80 changed the title from "Allow to continue published translations" to "[Epic] Allow to continue published translations".Via Web · Thu, Oct 15, 10:14 AM
Amire80 added projects: WorkType-NewFunctionality, Epic.

@Amire80, this ticket is about a very specific change, not an Epic. This is about (a) checking if the article had no additional changes since it was published with CX, and (b) let the user restore the draft and continue translation in that case. I updated the title accordingly to reflect that.

Thanks for the clarification.

Ryuch added a subscriber: Ryuch.Oct 23 2015, 8:22 AM

The issue was mentioned here again. Also, some of the current on-going translations may be just a result of people forcing it to remain in-progress as a workaround for the translation to be available later.

One more mention of this issue here.

Any ETA for when the issue will be resolved? It appears, unless resolved, it'll continue to be mentioned always.

Is there a fix in the nearby future?

Any ETA for when the issue will be resolved? It appears, unless resolved, it'll continue to be mentioned always.

Is there a fix in the nearby future?

As far as I know, it has not been considered for the near term yet. I'm linking the ticket to the different comments as a reference to provide additional context about this issue.

In https://gerrit.wikimedia.org/r/#/c/255086/ I cleared some blocks for this task. After a translation is published, its data is not deleted from CX database to allow resuming later. So we have data. Now we need a check to see if target article changed or not .For that we need revision ids saved(T119495: Save the revision id of source and published article in cx_translations table)
Depending on the result, we need a small change in UI to resume translation.

I wanted to give a trick(!) to continue translation even after publishing.

  1. Translate, and publish.
  2. In your CX dashboard, you will see that under published tab, and you cannot click and resume that translation
  3. But, Click on green New translation button, and start the translation with exactly the same language pair and source article.
  4. The new translation will have the previous translations loaded in translation column. You can translate more and publish. NOTE - this will overwrite the existing article in the target wiki. So please be careful about overwriting other contributors work. Once you enter translation view, a warning about this will be shown. Also when you click publish button another confirmation will be asked.
Nemo_bis removed a subscriber: Nemo_bis.Jan 18 2016, 2:29 PM

We can allow to resume a published translation if the published article has not been modified since the translation was published.

@Pginer-WMF, I have a short term simple solution for this.

Instead of checking if the target article has modified after publishing or not, which we can do wiith some effort, why dont we just allow resuming the translation? With the current featureset, it will show a warning to translator that the target article exist. Also when publishing, CX will confirm again for rewrite. Basically leave the overwrite decision to translator for now and develop the checks in another step?

We can allow to resume a published translation if the published article has not been modified since the translation was published.

@Pginer-WMF, I have a short term simple solution for this.

Instead of checking if the target article has modified after publishing or not, which we can do wiith some effort, why dont we just allow resuming the translation? With the current featureset, it will show a warning to translator that the target article exist. Also when publishing, CX will confirm again for rewrite. Basically leave the overwrite decision to translator for now and develop the checks in another step?

That sounds like a good initial step. Current users are using workarounds that lead to the same situation with some additional steps, so it shouldn't be a problem.

ok, one more clarification for that short term step. The current behavior on clicking items in 'Published tab' is going to the published article. We have to replace it with resuming translation. Is that fine? If not, how do we keep that functionality?

ok, one more clarification for that short term step. The current behavior on clicking items in 'Published tab' is going to the published article. We have to replace it with resuming translation. Is that fine? If not, how do we keep that functionality?

If we want to emphasise the use for the tool to create an initial version of a translation, I'd provide the "Continue translating" as a secondary action under a more menu (similar to the "delete" action under the "..." menu from drafts).

Later, if we find out that continuing translations is used often and with few issues (in terms of unintended overwrites) we can reverse the primary and secondary actions.

Change 276101 had a related patch set uploaded (by Santhosh):
Allow continuing a translation that was published

https://gerrit.wikimedia.org/r/276101

santhosh claimed this task.

ok?

For the icon we may want to stick to the usual editing pencil:

While we are at it, the "..." menu instead of using text can be also based on the ellipsis icon:

santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 4 board.Mar 17 2016, 7:09 AM

Change 276101 merged by jenkins-bot:
Allow continuing a translation that was published

https://gerrit.wikimedia.org/r/276101

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 4 board.Mar 23 2016, 10:01 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 4 board.Mar 29 2016, 6:00 AM

Remaining: Provide the option to resume based on current status of published article. To be done later

Nemo_bis added a subscriber: Putti.Mar 13 2017, 3:28 PM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:42 PM